## class CellTextEditor : public InlineEditor

> cell text editor class.

## Inheritance:

### Public Methods

  | CellTextEditor (TableViewer *v)
  void | Start (CellText *) start inline editing, initialized by cell text.
  void | Stop ()
  void | Abort ()
  void | StartWindow (CellText *) start window editing, initialized by cell text.
  CellText* | GetCellText () const
  bool | IsUnderlined () const

### Inherited from InlineEditor:

### Public Methods

virtual void Draw()
void Undraw()
void AddChar(char c)
void BackSpace()
void Delete()
void CharLeft()
void CharRight()
void CharUp()
void CharDown()
void Home()
void End()
void Clear()
void SetCursor(int x, int y)
void SetCursor(int whichChar)
void StopWindow(const string *)
void CancelWindow()
TextEditDialog* GetTextEditDialog() const

### Protected Methods

bool IsInUse() const
void SetInUse(bool b)
void SetIgnoreWindow(bool b)
void SetText(const string *t)
void SetOldText(const string *ot)
void SetTextFont(XFont *ft)
void SetTextColor(string *c)
void SetAlignment(TextAlign::Type a)
void SetTextPosition(Point *p)
const string* GetText() const
const string* GetOldText() const
Viewer* GetViewer() const
void SetUnderlined(bool b)

## Documentation

> cell text editor class.

`CellTextEditor(TableViewer *v)`

`void Start(CellText *)`
  start inline editing, initialized by cell text.

`void Stop()`

`void Abort()`

`void StartWindow(CellText *)`
  start window editing, initialized by cell text.

`CellText* GetCellText() const`

`bool IsUnderlined() const`

This class has no child classes.

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de